# Class FatMarkerShapes

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.FatMarkerShapes

public class FatMarkerShapes extends Object
MarkerShape implementations based on line drawings (open shapes, crosses etc; not filled shapes) which have lines that are thicker than the single-pixel traditionally provided.

A fatness parameter corresponds somewhat to the line thickness; it goes up in ones, and the idea is that the larger the number the fatter the lines, but for a given fatness the lines in all the shapes are about the same. Fatness zero corresponds nominally to the traditional single-pixel lines. The static shapes available here currently correspond to fatness 1.

Some fiddling is required to make it look OK in a bitmapped context, and in particular to make sure that bitmapped representations are centered on the given point rather than being half a pixel off.

Since:
  4 Dec 2019
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MarkerShape`
`FAT_CIRCLE`
Open circle with thick line.
`static final MarkerShape`
`FAT_CROSS`
Plus-shaped marker with thick lines.
`static final MarkerShape`
`FAT_CROXX`
X-shaped marker with thick lines.
`static final MarkerShape`
`FAT_DIAMOND`
Open diamond with thick line.
`static final MarkerShape`
`FAT_SQUARE`
Open square with thick line.
`static final MarkerShape`
`FAT_TRIANGLE_DOWN`
Open downward triangle with thick line.
`static final MarkerShape`
`FAT_TRIANGLE_UP`
Open upward triangle with thick line.
`static final int`
`IFAT`
Standard fatness measure; 0 corresponds to single-pixel lines.

## Constructor Summary

Constructors
Constructor
Description
`FatMarkerShapes()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IFAT

public static final int IFAT
Standard fatness measure; 0 corresponds to single-pixel lines.

See Also:
  - Constant Field Values

### FAT_CIRCLE

public static final MarkerShape FAT_CIRCLE
Open circle with thick line.

### FAT_SQUARE

public static final MarkerShape FAT_SQUARE
Open square with thick line.

### FAT_DIAMOND

public static final MarkerShape FAT_DIAMOND
Open diamond with thick line.

### FAT_TRIANGLE_UP

public static final MarkerShape FAT_TRIANGLE_UP
Open upward triangle with thick line.

### FAT_TRIANGLE_DOWN

public static final MarkerShape FAT_TRIANGLE_DOWN
Open downward triangle with thick line.

### FAT_CROSS

public static final MarkerShape FAT_CROSS
Plus-shaped marker with thick lines.

### FAT_CROXX

public static final MarkerShape FAT_CROXX
X-shaped marker with thick lines.

## Constructor Details

### FatMarkerShapes

public FatMarkerShapes()